<ion-header>
  <ion-toolbar>
    <section class="ion-padding">
      <ion-row>
        <ion-col size="12" class="vertical-align ion-text-end ion-justify-content-end">
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="notification-icon">
            <img src="assets/icon/notification.png">
          </div>
        </ion-col>
      </ion-row>
    </section>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-padding-horizontal">
  <ion-row>
    <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
      <section class="class-banner">
        <ion-row>
          <ion-col size="9">
            <ion-row>
              <ion-col size="12">
                <ion-text class="banner-title">
                  Physics
                </ion-text>
              </ion-col>
              <ion-col size="12" class="no-padding-bottom">
                <ion-text class="banner-subtitle">
                  Select Your Chapter
                </ion-text>
              </ion-col>
              <ion-col size="6">
                <ion-progress-bar color="primary" value="0.7"></ion-progress-bar>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="3" class="ion-margin-bottom">
            <div class="banner-image">
              <img src="assets/icon/atom1.png">
            </div>
          </ion-col>
        </ion-row>
      </section>
    </ion-col>
  </ion-row>
  <section class="tab-section">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" class="ion-no-padding">
        <ion-row>
          <ion-col size="4" offset="4" (click)="changeTab('testlist')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'testlist'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="tab-title vertical-align">
                    Test List
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'testlist'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12">
            <ion-text class="sub-title">
              November 2019
            </ion-text>
          </ion-col>
          <ion-col size="12" *ngFor="let testlist of testlists; let i = index">
            <ion-card class="test-list-card" (click)="showInstructions()">
              <ion-row>
                <ion-col size="11" class="vertical-align">
                  <ion-row>
                    <ion-col size="12">
                      <ion-text class="testlist-title">
                        Part - Test {{testlist.test}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12">
                      <ion-text class="testlist-sub-title">
                        <ion-text>{{testlist.questions}} Questions · {{testlist.hours}} Hours · {{testlist.marks}} Marks</ion-text>
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
                <ion-col size="1" class="vertical-align">
                  <div class="lock-icon">
                    <ion-icon [name]="(testlist.isPurchased === true) ? '' : 'lock'"></ion-icon>
                  </div>
                </ion-col>

              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>

</ion-content>
